//+------------------------------------------------------------------+\
//| Salgado.mq4 |
//| {field{*fldinst{HYPERLINK "mailto:salgadoguilherme@hotmail.com"}}{fldrslt cf2 ul ulc2 salgadoguilherme@hotmail.com}}|
//| |
//+------------------------------------------------------------------+
#property copyright ""
#property link "salgadoguilherme@hotmail.com"
extern bool trade=true;
extern int barstocount=50;
extern double lots=0.01;
extern int StopLoss =40;
extern int TakeProfit =10;
extern int slippage=3;
extern int magicnumber=816;
extern int shortSL=40;
extern int longSL=40;

//+------------------------------------------------------------------+
//| expert initialization function |
//+------------------------------------------------------------------+
int init()
{
//----

//----
return(0);
}
//+------------------------------------------------------------------+
//| expert deinitialization function |
//+------------------------------------------------------------------+
int deinit()
{
//----

//----
return(0);
}
//+------------------------------------------------------------------+
//| expert start function |
//+------------------------------------------------------------------+
int start()
{
//----
if(trade==true)
{
//M15
double M15_resistance=iCustom(NULL,PERIOD_M15,"!LinRegrBu f","true",barstocount,2,0);
double M15_resistance_p=iCustom(NULL,PERIOD_M15,"!LinRegr Buf","true",barstocount,2,barstocount-1);
double M15_line=iCustom(NULL,PERIOD_M15,"!LinRegrBuf","tr ue",barstocount,0,0);
double M15_support=iCustom(NULL,PERIOD_M15,"!LinRegrBuf", "true",barstocount,1,0);
double slopeM15=((M15_resistance-M15_resistance_p)/barstocount)/Point; 

//Alert(DoubleToStr(slopeM15,2); 

Comment("n","M15 Slope | ",slopeM15);

//SHORT ENTRY
if(slopeM15<0 && IsTradeAllowed()==true)
{
   bool shortopen=false;
   int ord_cnt1=OrdersTotal();
   for (int start1=0;start1<ord_cnt1;start1++) 
   {
      OrderSelect(start1, SELECT_BY_POS, MODE_TRADES);
      if(OrderMagicNumber()==magicnumber && OrderType()==OP_SELL)
      {
      shortopen=true;
      }
   }
   if(shortopen==false)
   { 
      double M15High=iHigh(Symbol(),PERIOD_M15,0);
      if(M15High>=M15_resistance)
         int shortticket=OrderSend(Symbol(),OP_SELL,lots,Bid,slippage,Bid+shortSL,M15_line,DoubleToStr(slopeM15,2));
      if(shortticket<0)
      {

         //LONG ENTRY
         if(slopeM15>0 && IsTradeAllowed()==true)
         {
            bool longopen=false;
            int ord_cnt=OrdersTotal();
            for (int start=0;start<ord_cnt;start++) 
            {
               OrderSelect(start, SELECT_BY_POS, MODE_TRADES);
               if(OrderMagicNumber()==magicnumber && OrderType()==OP_BUY)
               {
                  longopen=true;
               }
            }
            if(longopen==false)
            {
               double M15Low=iLow(Symbol(),PERIOD_M15,0);
               if(M15Low<=M15_support)
                  int longticket=OrderSend(Symbol(),OP_BUY,lots,Ask,slippage,Ask-longSL,M15_line,DoubleToStr(slopeM15,2));
               if(longticket<0)
               {
                  
               }
            }
         }
      }
   }
}

}


//----
return(0);
}
//+------------------------------------------------------------------+}